GroovyPagesGrailsPlugin (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web
[Groovy] Class GroovyPagesGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.GroovyPagesGrailsPlugin

    class GroovyPagesGrailsPlugin
    extends java.lang.Object

Sets up and configures the GSP and GSP tag library support in Grails.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `doWithApplicationContext` Clear the page cache with the ApplicationContext is loaded
`java.lang.Object` | `doWithDynamicMethods` Sets up dynamic methods required by the GSP implementation including dynamic tag method dispatch
`java.lang.Object` | `doWithSpring` Configures the various Spring beans required by GSP
`java.lang.Object` | `doWithWebDescriptor` Modifies the web.xml when in development mode to allow viewing of sources
`java.lang.Object` | `loadAfter`
`java.lang.Object` | `observe`
`java.lang.Object` | `onChange`
`java.lang.Object` | `onConfigChange`
`java.lang.Object` | `providedArtefacts`
`java.lang.Object` | `version` /*TagLib.groovy", "file:.
`java.lang.Object` | `watchedResources`

Method Summary
`static java.lang.String` | `transformToValidLocation(java.lang.String location)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### dependsOn

    java.lang.Object dependsOn

### doWithApplicationContext

    java.lang.Object doWithApplicationContext

  Clear the page cache with the ApplicationContext is loaded

### doWithDynamicMethods

    java.lang.Object doWithDynamicMethods

  Sets up dynamic methods required by the GSP implementation including dynamic tag method dispatch

### doWithSpring

    java.lang.Object doWithSpring

  Configures the various Spring beans required by GSP

### doWithWebDescriptor

    java.lang.Object doWithWebDescriptor

  Modifies the web.xml when in development mode to allow viewing of sources

### loadAfter

    java.lang.Object loadAfter

### observe

    java.lang.Object observe

### onChange

    java.lang.Object onChange

### onConfigChange

    java.lang.Object onConfigChange

### providedArtefacts

    java.lang.Object providedArtefacts

### version

    java.lang.Object version

  /*TagLib.groovy", "file:./grails-app/taglib/*

### watchedResources

    java.lang.Object watchedResources

Method Detail

### transformToValidLocation

    static java.lang.String transformToValidLocation(java.lang.String location)

Groovy Documentation